//
//   JarnabyViewController.h
//  Jarnaby
//
//  Created by Shin-Young Jung on 10. 9. 22..
//  Copyright Brigham Young University Hawaii 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Story.h"
#import "DrawShape.h"

@interface JarnabyViewController : UIViewController <UIWebViewDelegate>{
	IBOutlet UIButton *prev;
	IBOutlet UIButton *next;
	IBOutlet UIButton *map;
	IBOutlet UIButton *link_button;
	NSMutableArray *views;
	NSMutableArray *buttons;
	
	IBOutlet UIButton *back;
	IBOutlet DrawShape *mapViewinSide;
	IBOutlet UIScrollView *mapView;
	IBOutlet UIView *titlePageView;
	IBOutlet UIImageView *titlePage;
	BOOL titlethere;

	IBOutlet UIImageView *pics;
	UIWebView *textView;
	
	CGPoint gestureEndPoint;
	CGPoint gestureStartPoint;

	
	Story *story;
	NSMutableArray *mapPics;
	
}
@property (retain) NSMutableArray *buttons;
@property (nonatomic, retain) IBOutlet UIWebView *textView;
@property 	CGPoint gestureEndPoint;
@property CGPoint gestureStartPoint;
@property (readonly) Story *story;

-(void)drawRect:(CGRect)rect;
-(void)textLoading:(NSMutableString *)texts;


-(IBAction) instruction;
-(IBAction) startStory;
-(IBAction) goPrevious;
-(IBAction) goNext;
-(IBAction) pressedMap;
-(IBAction) pressedLink;
-(IBAction) pressedInfo;

@end

