//
//  Parser.h
//  Jarnaby
//
//  Created by Shin-Young Jung on 10. 10. 27..
//  Copyright 2010 Brigham Young University Hawaii. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Foundation/NSXMLParser.h>
#import "Path.h"
#import "Page.h"
#import "Link.h"
#import "Pos.h"

@interface Parser : NSObject {
	NSXMLParser *parser;
	int a;
	NSMutableString *title;
	NSMutableDictionary *Links;
	NSMutableArray *paths;
	NSMutableArray *pages;
	NSMutableDictionary *rects;
	NSMutableDictionary *images;
	NSString *currentElement;
	NSMutableArray *maap;
}

-(id)init;
-(void) parseXmLFileAtURL;
-(NSString *) getTitle;
@property (retain)NSMutableString *title;
@property (retain)NSMutableDictionary *Links;
@property (retain)NSMutableDictionary *rects;
@property (retain)NSMutableArray *paths;
@property (retain)NSMutableArray *maap;
@property (retain)NSMutableArray *pages;
@property (retain)NSMutableDictionary *images;
@end
