//
//  Story.h
//  Jarnaby
//
//  Created by Shin-Young Jung on 10. 9. 27..
//  Copyright 2010 Brigham Young University Hawaii. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Page.h"
#import "Path.h"
#import "Parser.h"
#import "Link.h"


@interface Story : NSObject {
	NSString *title;
	NSMutableArray *links_id;
	NSMutableDictionary *Links;
	NSMutableArray *paths;
	NSDictionary *rect;
	NSMutableArray *maaap;
	Page *currentPage;
	Path *currentPath;
	Parser* parser;
	int currentPageID;
    int currentPathnum;
	int index;
	
}
@property int currentPageID,index, currentPathnum;
@property (retain) Page *currentPage; 
@property (retain) Path *currentPath;
@property (assign) NSString *title;

@property (retain)NSMutableArray *maaap;
@property (retain)NSMutableArray *paths;
@property (retain)NSMutableArray *links_id;
@property (retain)NSMutableDictionary *Links;
@property (retain)NSDictionary *rect;

-(id)init;
-(Page *)getPage:(int)n;

@end
